## autoflake 1.4

=== Makefile ===
check:
	pyflakes autoflake.py setup.py test_autoflake.py
	pylint \
		--reports=no \
		--rcfile=/dev/null \
		--errors-only \
		autoflake.py setup.py
	pycodestyle autoflake.py setup.py test_autoflake.py
	pydocstyle autoflake.py setup.py
	check-manifest
	python setup.py --long-description | rstcheck -
	scspell autoflake.py setup.py test_autoflake.py README.rst

coverage:
	@coverage erase
	@AUTOFLAKE_COVERAGE=1 coverage run --branch --parallel-mode --include='autoflake.py,test_autoflake.py' test_autoflake.py
	@coverage combine
	@coverage report
	@coverage html
	@python -m webbrowser -n "file://${PWD}/htmlcov/index.html"

mutant:
	@mut.py --disable-operator RIL -t autoflake -u test_autoflake -mc

readme:
	@restview --long-description --strict

=== debian/changelog ===
autoflake (1.4-2) unstable; urgency=medium

  * Add <!nocheck> to python3-pyflakes Build-Depends.
  * List test files in debian/pybuild.testfiles instead of debian/rules.
  * Install README.rst and AUTHORS.rst.

 -- Edward Betts <edward@4angle.com>  Fri, 05 Aug 2022 12:00:32 +0100

autoflake (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1015318)

 -- Edward Betts <edward@4angle.com>  Tue, 19 Jul 2022 14:28:39 +0100

=== debian/control ===
Source: autoflake
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pyflakes <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/PyCQA/autoflake
Vcs-Browser: https://salsa.debian.org/python-team/packages/autoflake
Vcs-Git: https://salsa.debian.org/python-team/packages/autoflake.git

Package: autoflake
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Removes unused imports and unused variables in Python code
 By default, autoflake only removes unused imports for modules that are part of
 the standard library. (Other modules may have side effects that make them
 unsafe to remove automatically.) Removal of unused variables is also disabled
 by default.
 .
 Also removes useless 'pass' statements.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=autoflake
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf autoflake.egg-info/

## autoflake 1.6.1

=== debian/changelog ===
autoflake (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 26 Sep 2022 17:55:41 +0100

autoflake (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Adjust patching of tests in autopkgtest for upstream changes.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Sep 2022 08:19:33 +0100

autoflake (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch to skip failing test on Python 3.10, fixed upstream.
  * Add Build-Depends on python3-toml for tests.

 -- Edward Betts <edward@4angle.com>  Mon, 29 Aug 2022 14:58:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-poetry-core,
                python3-pyflakes <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-setuptools
+               python3-setuptools,
+               python3-toml <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/PyCQA/autoflake

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=autoflake
 export PYBUILD_TEST_PYTEST=1
+export DH_VERBOSE=1
 
 %:
 	dh $@ --buildsystem=pybuild

## autoflake 1.7.6

=== debian/changelog ===
autoflake (1.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove DH_VERBOSE=1 from debian/rules.
  * Use python3-argparse-manpage to generate the manpage.
  * Upstream switched from setuptools to hatchling for the build system.
  * Add override_dh_auto_install to remove some files installed by upstream.

 -- Edward Betts <edward@4angle.com>  Sat, 15 Oct 2022 09:00:20 +0100

autoflake (1.6.1-2) unstable; urgency=medium

  * Needs python3-setuptools (>= 61.2) to build.

 -- Edward Betts <edward@4angle.com>  Sun, 02 Oct 2022 05:35:15 +0100

## autoflake 1.7.7

=== debian/changelog ===
autoflake (1.7.7-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 26 Oct 2022 12:00:54 +0100

## autoflake 2.0.0

=== debian/changelog ===
autoflake (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 29 Nov 2022 08:58:02 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-argparse-manpage,
+               python3-hatchling,
                python3-poetry-core,
                python3-pyflakes <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-setuptools,
                python3-toml <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.1

## autoflake 2.0.1

=== debian/changelog ===
autoflake (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Wed, 01 Feb 2023 20:25:51 +0000

## autoflake 2.0.2

=== debian/changelog ===
autoflake (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Mar 2023 16:59:06 +0100

## autoflake 2.1.1

=== debian/changelog ===
autoflake (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 19 Apr 2023 21:13:43 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=autoflake
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	python3 $(CURDIR)/debian/build_manpage.py > debian/autoflake.1

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	rm -r $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/*/licenses
	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/LICENSE
	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/README.md
	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/test_autoflake.py
	chmod a-x ${CURDIR}/debian/autoflake/usr/lib/*/dist-packages/autoflake.py

override_dh_auto_clean:
	dh_auto_clean
	rm -rf autoflake.egg-info/ debian/autoflake.1

## autoflake 2.2.0

=== debian/changelog ===
autoflake (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 29 Jun 2023 15:25:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	dh_auto_install --buildsystem=pybuild
 	rm -r $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/*/licenses
 	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/LICENSE
+	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/py.typed
 	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/README.md
 	rm $(CURDIR)/debian/autoflake/usr/lib/*/dist-packages/test_autoflake.py
 	chmod a-x ${CURDIR}/debian/autoflake/usr/lib/*/dist-packages/autoflake.py

## autoflake 2.3.0

=== debian/changelog ===
autoflake (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Drop 0001-fix-for-tests-on-python-3.12.patch, applied upstream.

 -- Edward Betts <edward@4angle.com>  Tue, 27 Feb 2024 08:42:20 +0000

autoflake (2.2.1-2) unstable; urgency=medium

  * Fix tests to work with Python 3.12. (Closes: #1056229, #1058393)

 -- Edward Betts <edward@4angle.com>  Sun, 24 Dec 2023 11:12:04 +0000

autoflake (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changes mean we no longer need to remove py.typed after
    dh_auto_install

 -- Edward Betts <edward@4angle.com>  Thu, 07 Sep 2023 20:01:53 +0100

## autoflake 2.3.1

=== debian/changelog ===
autoflake (2.3.1-2) unstable; urgency=medium

  * Team Upload
  * Remove build-dep on python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 19:54:53 +0200

autoflake (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 20 Mar 2024 16:38:20 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                python3-poetry-core,
                python3-pyflakes <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-toml <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/PyCQA/autoflake
 Vcs-Browser: https://salsa.debian.org/python-team/packages/autoflake
 Vcs-Git: https://salsa.debian.org/python-team/packages/autoflake.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/autoflake-$1\.tar\.gz/ \
  https://github.com/PyCQA/autoflake/tags .*/v?(\d\S+)\.tar\.gz

## autoflake 2.3.3

=== debian/changelog ===
autoflake (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Move test dependencies to Build-Depends-Indep.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * Move files to clean from debian/rules to debian/clean.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Feb 2026 09:07:46 +0000

=== debian/control ===
Source: autoflake
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-argparse-manpage,
 python3-hatchling,
 python3-poetry-core,
Build-Depends-Indep:
 python3-pyflakes <!nocheck>,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/PyCQA/autoflake
Vcs-Browser: https://salsa.debian.org/python-team/packages/autoflake
Vcs-Git: https://salsa.debian.org/python-team/packages/autoflake.git

Package: autoflake
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Removes unused imports and unused variables in Python code
 By default, autoflake only removes unused imports for modules that are part of
 the standard library. (Other modules may have side effects that make them
 unsafe to remove automatically.) Removal of unused variables is also disabled
 by default.
 .
 Also removes useless 'pass' statements.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	python3 $(CURDIR)/debian/build_manpage.py > debian/autoflake.1

=== debian/watch ===
Version: 5

Template: GitHub
Owner: PyCQA
Project: autoflake
